Search documentation of tiger_stripe

# Stripe.Services.Issuing.CardholderService (tiger_stripe v0.1.1)

Copy Markdown View Source

IssuingCardholder

An Issuing `Cardholder` object represents an individual or business entity who is issued cards.

Related guide: How to create a cardholder

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a cardholder

list(client, params \\ %{}, opts \\ [])

List all cardholders

retrieve(client, cardholder, params \\ %{}, opts \\ [])

Retrieve a cardholder

update(client, cardholder, params \\ %{}, opts \\ [])

Update a cardholder

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a cardholder

Creates a new Issuing `Cardholder` object that can be issued cards.

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all cardholders

Returns a list of Issuing `Cardholder` objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

# retrieve(client, cardholder, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a cardholder

Retrieves an Issuing `Cardholder` object.

# update(client, cardholder, params \\ %{}, opts \\ [])

    @spec update(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Update a cardholder

Updates the specified Issuing `Cardholder` object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.